Subject: Re: Opinions on Anders Norlander's new headers/libs?
From: [email-masked] (Anders Norlander)

1 Jan 1999 15:58:58 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Geoffrey Noer <[email-masked]>
Cc: Mumit Khan <[email-masked]>, [email-masked]

Geoffrey Noer wrote:
> 
> After a little less than a day's work, I have Anders' headers and def
> files all working with Cygwin in our source tree.  tcl/tk/tix/itcl all
> compile fine as well.
> 
> I did have to go through winsock.h and add the requisite
> __INSIDE_CYGWIN__ ifdefs to support Cygwin's confusing but necessary
> internal mixing of Winsock socket calls and Unix socket
> structures/definitions.  That was the most time-consuming thing.
> But the headers were missing a few defines mostly related to console
> I/O, I also had to adjust a few @xx values in kernel32.def to get
> cygwin1.dll to link, etc.  But so far so good...
> 
> I'd be happy to hear any opinions as to completeness vs. the existing
> headers.

Could you send me your patches? I tested compiling a winsup snapshot
some time ago and I noticed that there was a check for
_GNU_H_WINDOWS32_SOCKETS
in the code. Are there more such dependecies?

Regards,
Anders
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".